%define major	1
%define api_version 2.6

%define glibmm_version 2.4.0
%define gnome_vfs_version 2.8.1

%define pkgname gnome-vfsmm
%define libname		%mklibname %pkgname %api_version %{major}
%define libname_orig	%mklibname %pkgname %api_version
%define develname %mklibname -d %pkgname %api_version

%define url_ver	%(echo %{version}|cut -d. -f1,2)

Name:		%{pkgname}%{api_version}
Summary:	A C++ interface for GNOME VFS library
Version:	2.26.0
Release:	%mkrel 17
License:	LGPLv2+
Group:		System/Libraries
Source:		https://download.gnome.org/sources/%{pkgname}/%{url_ver}/%{pkgname}-%{version}.tar.bz2
URL:		http://gtkmm.sourceforge.net/
BuildRequires:	pkgconfig(gnome-vfs-2.0) >= %{gnome_vfs_version}
BuildRequires:	pkgconfig(glibmm-2.4) >= %{glibmm_version}
BuildRequires:	doxygen

%description
This package provides a C++ interface for gnome-vfs (the GNOME
Virtual File System), which provides an abstraction to common file
system operations like reading, writing and copying files, listing
directories and so on.  It is a subpackage of the gnomemm project,
which provides a C++ interface for GNOME libraries.

%package	-n %{libname}
Summary:	%{summary}
Group:		%{group}
Provides:	%{name} = %{version}-%{release}
Provides:	%{libname_orig} = %{version}-%{release}

%description	-n %{libname}
This package provides a C++ interface for gnome-vfs (the GNOME
Virtual File System), which provides an abstraction to common file
system operations like reading, writing and copying files, listing
directories and so on.  It is a subpackage of the gnomemm project,
which provides a C++ interface for GNOME libraries.


%package	-n %develname
Summary:	Headers and development files of GNOME VFS C++ wrapper
Group:		Development/GNOME and GTK+
Provides:	%{name}-devel = %{version}-%{release}
Provides:	%{libname_orig}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}
Requires:	gnome-vfs2-devel >= %{gnome_vfs_version}
Requires:	glibmm2.4-devel >= %{glibmm_version}
Obsoletes: %mklibname -d %pkgname 2.6 1

%description -n %develname
This package contains the headers and various development files needed,
when compiling or developing programs which want C++ wrapper of GNOME
VFS library.

%package	doc
Summary:	Documentation of %{pkgname} library
Group:		Documentation

%description doc
This package provides API documentation of %{pkgname} library.


%prep
%setup -q -n %pkgname-%version

%build
export CXXFLAGS="%{optflags} -std=gnu++11"
%configure --disable-static
%make_build

### Build doc
pushd docs/reference
  perl -pi -e 's/^(HAVE_DOT.*=) YES/$1 NO/' Doxyfile
  make all
popd

%install
%make_install
find %buildroot -name '*.la' -delete

%files -n %{libname}
%doc COPYING
%{_libdir}/libgnomevfsmm-%{api_version}.so.%{major}{,.*}

%files -n %develname
%doc AUTHORS COPYING ChangeLog NEWS README
%{_includedir}/*
%{_libdir}/%{pkgname}-%{api_version}
%{_libdir}/pkgconfig/*.pc
%{_libdir}/*.so

%files doc
%doc docs/reference/html



%changelog
* Wed Aug 05 2020 joequant <joequant> 2.26.0-17.mga8
+ Revision: 1611139
- fix deps

* Wed Apr 22 2020 ovitters <ovitters> 2.26.0-16.mga8
+ Revision: 1570815
- rebuild for to test removal of deprecated macros

* Thu Feb 13 2020 umeabot <umeabot> 2.26.0-15.mga8
+ Revision: 1512610
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Sun Sep 23 2018 umeabot <umeabot> 2.26.0-14.mga7
+ Revision: 1297987
- Mageia 7 Mass Rebuild

* Sun Jun 03 2018 wally <wally> 2.26.0-13.mga7
+ Revision: 1234096
- fix build on aarch64

* Thu Feb 11 2016 umeabot <umeabot> 2.26.0-12.mga6
+ Revision: 954130
- Mageia 6 Mass Rebuild

* Mon Aug 24 2015 wally <wally> 2.26.0-11.mga6
+ Revision: 869037
- build with -std=gnu++11

* Wed Oct 15 2014 umeabot <umeabot> 2.26.0-10.mga5
+ Revision: 747727
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.26.0-9.mga5
+ Revision: 679791
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2.26.0-8.mga4
+ Revision: 505090
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 2.26.0-7.mga3
+ Revision: 352269
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Oct 14 2012 ennael <ennael> 2.26.0-6.mga3
+ Revision: 305604
- Documentation group

* Tue Feb 14 2012 ovitters <ovitters> 2.26.0-5.mga2
+ Revision: 208885
- clean spec
+ fwang <fwang>
- do not ship .la files

* Tue Feb 08 2011 ennael <ennael> 2.26.0-3.mga1
+ Revision: 48957
- remove mdk version
- imported package gnome-vfsmm2.6

